<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: erpc::RPMsgZCRTOSTransport Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpc::RPMsgZCRTOSTransport Class Reference<div class="ingroups"><a class="el" href="group__transports.html">Transport Layers</a> &raquo; <a class="el" href="group__rpmsg__lite__rtos__transport.html">RPMsg-Lite RTOS</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classerpc_1_1_transport.html" title="Abstract interface for transport layer. ">Transport</a> that uses RPMsg zero copy RTOS API for interprocessor messaging.  
 <a href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="rpmsg__lite__zc__rtos__transport_8h_source.html">rpmsg_lite_zc_rtos_transport.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for erpc::RPMsgZCRTOSTransport:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><iframe scrolling="no" frameborder="0" src="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport__inherit__graph.svg" width="214" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Collaboration diagram for erpc::RPMsgZCRTOSTransport:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><iframe scrolling="no" frameborder="0" src="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport__coll__graph.svg" width="214" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adf462516a694448ebc62e9a3dcbbb0d9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#adf462516a694448ebc62e9a3dcbbb0d9">RPMsgZCRTOSTransport</a> ()</td></tr>
<tr class="memdesc:adf462516a694448ebc62e9a3dcbbb0d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#adf462516a694448ebc62e9a3dcbbb0d9">More...</a><br /></td></tr>
<tr class="separator:adf462516a694448ebc62e9a3dcbbb0d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a808579d9f7b54d1ca4fa1665285663f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a808579d9f7b54d1ca4fa1665285663f7"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#a808579d9f7b54d1ca4fa1665285663f7">~RPMsgZCRTOSTransport</a> ()</td></tr>
<tr class="memdesc:a808579d9f7b54d1ca4fa1665285663f7"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html" title="Transport that uses RPMsg zero copy RTOS API for interprocessor messaging. ">RPMsgZCRTOSTransport</a> destructor. <br /></td></tr>
<tr class="separator:a808579d9f7b54d1ca4fa1665285663f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6fdf5adc48910c8ee6d49e50c01e838"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#ad6fdf5adc48910c8ee6d49e50c01e838">init</a> (unsigned long src_addr, unsigned long dst_addr, void *base_address, unsigned long length, int rpmsg_link_id)</td></tr>
<tr class="memdesc:ad6fdf5adc48910c8ee6d49e50c01e838"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function call RPMsg rtos init function - as RPMsg master.  <a href="#ad6fdf5adc48910c8ee6d49e50c01e838">More...</a><br /></td></tr>
<tr class="separator:ad6fdf5adc48910c8ee6d49e50c01e838"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b3fb3aca8c5329da431829102ef5e73"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#a1b3fb3aca8c5329da431829102ef5e73">init</a> (unsigned long src_addr, unsigned long dst_addr, void *base_address, int rpmsg_link_id, void(*ready_cb)(void))</td></tr>
<tr class="memdesc:a1b3fb3aca8c5329da431829102ef5e73"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function call RPMsg rtos init function - as RPMsg remote.  <a href="#a1b3fb3aca8c5329da431829102ef5e73">More...</a><br /></td></tr>
<tr class="separator:a1b3fb3aca8c5329da431829102ef5e73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96e5732fce51c62826ebecb867a8c760"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#a96e5732fce51c62826ebecb867a8c760">receive</a> (<a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> *message)</td></tr>
<tr class="memdesc:a96e5732fce51c62826ebecb867a8c760"><td class="mdescLeft">&#160;</td><td class="mdescRight">Store incoming message to message buffer.  <a href="#a96e5732fce51c62826ebecb867a8c760">More...</a><br /></td></tr>
<tr class="separator:a96e5732fce51c62826ebecb867a8c760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ac14738de5b8b1b730cb5ec4cb82e38"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#a1ac14738de5b8b1b730cb5ec4cb82e38">send</a> (<a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> *message)</td></tr>
<tr class="memdesc:a1ac14738de5b8b1b730cb5ec4cb82e38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to send prepared message.  <a href="#a1ac14738de5b8b1b730cb5ec4cb82e38">More...</a><br /></td></tr>
<tr class="separator:a1ac14738de5b8b1b730cb5ec4cb82e38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classerpc_1_1_r_p_msg_z_c_base_transport"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classerpc_1_1_r_p_msg_z_c_base_transport')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classerpc_1_1_r_p_msg_z_c_base_transport.html">erpc::RPMsgZCBaseTransport</a></td></tr>
<tr class="memitem:a605aba476a073382cb6cb0d53671099e inherit pub_methods_classerpc_1_1_r_p_msg_z_c_base_transport"><td class="memItemLeft" align="right" valign="top">struct rpmsg_lite_instance *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_base_transport.html#a605aba476a073382cb6cb0d53671099e">get_rpmsg_lite_instance</a> ()</td></tr>
<tr class="memdesc:a605aba476a073382cb6cb0d53671099e inherit pub_methods_classerpc_1_1_r_p_msg_z_c_base_transport"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns pointer to instance of RPMSG lite.  <a href="#a605aba476a073382cb6cb0d53671099e">More...</a><br /></td></tr>
<tr class="separator:a605aba476a073382cb6cb0d53671099e inherit pub_methods_classerpc_1_1_r_p_msg_z_c_base_transport"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classerpc_1_1_transport"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classerpc_1_1_transport')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classerpc_1_1_transport.html">erpc::Transport</a></td></tr>
<tr class="memitem:a895a468f9810eba023c68197edefb301 inherit pub_methods_classerpc_1_1_transport"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a895a468f9810eba023c68197edefb301"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_transport.html#a895a468f9810eba023c68197edefb301">Transport</a> ()</td></tr>
<tr class="memdesc:a895a468f9810eba023c68197edefb301 inherit pub_methods_classerpc_1_1_transport"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor. <br /></td></tr>
<tr class="separator:a895a468f9810eba023c68197edefb301 inherit pub_methods_classerpc_1_1_transport"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac75843918e2fbe211430cf5973caac47 inherit pub_methods_classerpc_1_1_transport"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac75843918e2fbe211430cf5973caac47"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_transport.html#ac75843918e2fbe211430cf5973caac47">~Transport</a> ()</td></tr>
<tr class="memdesc:ac75843918e2fbe211430cf5973caac47 inherit pub_methods_classerpc_1_1_transport"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classerpc_1_1_transport.html" title="Abstract interface for transport layer. ">Transport</a> destructor. <br /></td></tr>
<tr class="separator:ac75843918e2fbe211430cf5973caac47 inherit pub_methods_classerpc_1_1_transport"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abee09d5af8f4a38ae83891afc6472066 inherit pub_methods_classerpc_1_1_transport"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_transport.html#abee09d5af8f4a38ae83891afc6472066">hasMessage</a> ()</td></tr>
<tr class="memdesc:abee09d5af8f4a38ae83891afc6472066 inherit pub_methods_classerpc_1_1_transport"><td class="mdescLeft">&#160;</td><td class="mdescRight">Poll for an incoming message.  <a href="#abee09d5af8f4a38ae83891afc6472066">More...</a><br /></td></tr>
<tr class="separator:abee09d5af8f4a38ae83891afc6472066 inherit pub_methods_classerpc_1_1_transport"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:afa36d31fcdb3382fb0315234be7c833c"><td class="memItemLeft" align="right" valign="top">struct remote_device *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#afa36d31fcdb3382fb0315234be7c833c">m_rdev</a></td></tr>
<tr class="separator:afa36d31fcdb3382fb0315234be7c833c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01d3e983c7db22ba59da609214c5a0b3"><td class="memItemLeft" align="right" valign="top">struct rpmsg_channel *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#a01d3e983c7db22ba59da609214c5a0b3">m_app_rp_chnl</a></td></tr>
<tr class="separator:a01d3e983c7db22ba59da609214c5a0b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0df1e38b7f08dc4c9b59bb0729526ab"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#af0df1e38b7f08dc4c9b59bb0729526ab">m_dst_addr</a></td></tr>
<tr class="separator:af0df1e38b7f08dc4c9b59bb0729526ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa743c82a812283198efa92fcac9e6b"><td class="memItemLeft" align="right" valign="top">rpmsg_queue_handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#afaa743c82a812283198efa92fcac9e6b">m_rpmsg_queue</a></td></tr>
<tr class="separator:afaa743c82a812283198efa92fcac9e6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0bffba6f851dfbe8ec0f9c3c6b9e218"><td class="memItemLeft" align="right" valign="top">struct rpmsg_lite_endpoint *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#aa0bffba6f851dfbe8ec0f9c3c6b9e218">m_rpmsg_ept</a></td></tr>
<tr class="separator:aa0bffba6f851dfbe8ec0f9c3c6b9e218"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_static_attribs_classerpc_1_1_r_p_msg_z_c_base_transport"><td colspan="2" onclick="javascript:toggleInherit('pro_static_attribs_classerpc_1_1_r_p_msg_z_c_base_transport')"><img src="closed.png" alt="-"/>&#160;Static Protected Attributes inherited from <a class="el" href="classerpc_1_1_r_p_msg_z_c_base_transport.html">erpc::RPMsgZCBaseTransport</a></td></tr>
<tr class="memitem:a195079029ba7cc22918ddaf0d4ea8713 inherit pro_static_attribs_classerpc_1_1_r_p_msg_z_c_base_transport"><td class="memItemLeft" align="right" valign="top">static struct rpmsg_lite_instance *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_base_transport.html#a195079029ba7cc22918ddaf0d4ea8713">s_rpmsg</a></td></tr>
<tr class="separator:a195079029ba7cc22918ddaf0d4ea8713 inherit pro_static_attribs_classerpc_1_1_r_p_msg_z_c_base_transport"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb709eb2997035d700087172b7236c41 inherit pro_static_attribs_classerpc_1_1_r_p_msg_z_c_base_transport"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_r_p_msg_z_c_base_transport.html#acb709eb2997035d700087172b7236c41">s_initialized</a></td></tr>
<tr class="separator:acb709eb2997035d700087172b7236c41 inherit pro_static_attribs_classerpc_1_1_r_p_msg_z_c_base_transport"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classerpc_1_1_transport.html" title="Abstract interface for transport layer. ">Transport</a> that uses RPMsg zero copy RTOS API for interprocessor messaging. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="adf462516a694448ebc62e9a3dcbbb0d9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RPMsgZCRTOSTransport::RPMsgZCRTOSTransport </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function initializes object attributes. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ad6fdf5adc48910c8ee6d49e50c01e838"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> RPMsgZCRTOSTransport::init </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>src_addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>dst_addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>base_address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rpmsg_link_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function call RPMsg rtos init function - as RPMsg master. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">src_addr</td><td>Source address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dst_addr</td><td>Destination address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">base_address</td><td>RPMsg base address in the shared memory. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">length</td><td>RPMsg shared memory region length. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">rpmsg_link_id</td><td>Selection between what cores the communication will occur.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success</td><td>When rpmsg init function was executed successfully. </td></tr>
    <tr><td class="paramname">kErpcStatus_InitFailed</td><td>When rpmsg init function wasn't executed successfully. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1b3fb3aca8c5329da431829102ef5e73"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> RPMsgZCRTOSTransport::init </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>src_addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>dst_addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>base_address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rpmsg_link_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(*)(void)&#160;</td>
          <td class="paramname"><em>ready_cb</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function call RPMsg rtos init function - as RPMsg remote. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">src_addr</td><td>Source address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dst_addr</td><td>Destination address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">base_address</td><td>RPMsg base address in the shared memory. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">rpmsg_link_id</td><td>Selection between what cores the communication will occur. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ready_cb</td><td>Callback called after RPMsg init is done and the core is ready.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success</td><td>When rpmsg init function was executed successfully. </td></tr>
    <tr><td class="paramname">kErpcStatus_InitFailed</td><td>When rpmsg init function wasn't executed successfully. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a96e5732fce51c62826ebecb867a8c760"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> RPMsgZCRTOSTransport::receive </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Store incoming message to message buffer. </p>
<p>In loop while no message come.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">message</td><td>Message buffer, to which will be stored incoming message.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_ReceiveFailed</td><td>Failed to receive message buffer. </td></tr>
    <tr><td class="paramname">kErpcStatus_Success</td><td>Successfully received all data. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_transport.html#a3f886733620e1a2fe00d12f36711dde5">erpc::Transport</a>.</p>

</div>
</div>
<a class="anchor" id="a1ac14738de5b8b1b730cb5ec4cb82e38"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> RPMsgZCRTOSTransport::send </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function to send prepared message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">message</td><td>Pass message buffer to send.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_SendFailed</td><td>Failed to send message buffer. </td></tr>
    <tr><td class="paramname">kErpcStatus_Success</td><td>Successfully sent all data. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classerpc_1_1_transport.html#a4ede71b16625cba746818294148f9aba">erpc::Transport</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="afa36d31fcdb3382fb0315234be7c833c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">struct remote_device* erpc::RPMsgZCRTOSTransport::m_rdev</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Device which represent the second core. </p>

</div>
</div>
<a class="anchor" id="a01d3e983c7db22ba59da609214c5a0b3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">struct rpmsg_channel* erpc::RPMsgZCRTOSTransport::m_app_rp_chnl</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Represent connection between two device (two cores). </p>

</div>
</div>
<a class="anchor" id="af0df1e38b7f08dc4c9b59bb0729526ab"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long erpc::RPMsgZCRTOSTransport::m_dst_addr</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Destination address used by rpmsg. </p>

</div>
</div>
<a class="anchor" id="afaa743c82a812283198efa92fcac9e6b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">rpmsg_queue_handle erpc::RPMsgZCRTOSTransport::m_rpmsg_queue</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Handle of RPMsg queue. </p>

</div>
</div>
<a class="anchor" id="aa0bffba6f851dfbe8ec0f9c3c6b9e218"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">struct rpmsg_lite_endpoint* erpc::RPMsgZCRTOSTransport::m_rpmsg_ept</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Pointer to RPMsg Lite Endpoint structure. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="rpmsg__lite__zc__rtos__transport_8h_source.html">rpmsg_lite_zc_rtos_transport.h</a></li>
<li>rpmsg_lite_zc_rtos_transport.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
